{ pkgs, lib, systemConfig, ... }:

{
  imports = [
    (lib.custom.relativeToRoot "shared/home-manager/development/git.nix")
  ];

  home.stateVersion = systemConfig.version;

  programs.git.signing.key = "E3FA0E995C0D0E5E";

  programs.gpg.enable = true;
  services.gpg-agent = {
    enable = true;
    pinentryPackage = pkgs.pinentry-curses;
  };
}
